package org.ts.ddcs.Service;

import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.Entity.WqRiverEntity;

import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

public interface WqService {
    void SaveWqHighData(WqRiverEntity entity);
    void SaveWqSpeedData(WqRiverEntity entity);
    List<Map<String,Object>> QuerySpeedList(String rtuCode,int limit);
    List<Map<String,Object>> QueryCorrectSpeedList(String rtuCode,String tm, int limit);
    void UpdateSpeedValue(String rtuCode, Timestamp tm,String value);
     List<Map<String, Object>> QuerySpeedList(String rtuCode,String tm );
    List<Map<String, Object>> QuerySpeedListAll(String rtuCode, int limit);
     List<Map<String, Object>> QuerySpeedListByTm(String rtuCode, int limit,String tm );
}
